import { PolyfillStorageAttributes } from '../interfaces/attributes.interface';
import { StorageStrategy } from '../interfaces/strategy.interface';
export declare class PolyfillStorage implements StorageStrategy {
    private _storage;
    private readonly _isSupported;
    constructor(_storage: Storage);
    get<T = any>(token: string): T;
    set<T = any>(token: string, value: T, attributes?: PolyfillStorageAttributes): void;
    remove(token: string, attributes?: PolyfillStorageAttributes): void;
    clear(attributes?: PolyfillStorageAttributes): void;
    isSupported(): boolean;
    private decode;
    private encode;
    private testIfSupported;
}
